-
TP-Link Omada SG2428LP network switch Managed L2/L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) GraySpecification Detail ARP Inspection Yes Switch Type Managed Web-Based Management Yes Quality of Service (QoS) Support Yes Multicast Support Yes Switch Layer L2/L2+ Cloud-Managed Yes SFP Module Slots 4 Basic Switching RJ-45 Ethernet Ports 24 Basic Switching RJ-45 Ethernet Ports Type Gigabit Ethernet (10/100/1000)...
- £179.75
-
- £179.75
- Unit price
- per
-
TP-Link Omada SG3210X-M2 network switch Managed L2+ 2.5G Ethernet (100/1000/2500) 1U BlackSpecification Detail Traffic Classification Yes ARP Inspection Yes Switch Type Managed Web-Based Management Yes System Event Log Yes Quality of Service (QoS) Support Yes Multicast Support Yes MIB Support RFC2925, RFC2618, RFC2620, RFC2021, RFC2819, RFC2674, RFC1493, RFC1643, RFC2233, RFC1213 Switch Layer L2+ Configuring Location...
- £170.64
-
- £170.64
- Unit price
- per
-
TP-Link TL-SG1048 network switch Unmanaged Gigabit Ethernet (10/100/1000) 1U BlackSpecification Detail Switch Type Unmanaged Basic Switching RJ-45 Ethernet Ports 48 Basic Switching RJ-45 Ethernet Ports Type Gigabit Ethernet (10/100/1000) Networking Standards IEEE 802.3ab, IEEE 802.3i, IEEE 802.3u, IEEE 802.3x Auto MDI/MDI-X Yes Auto-Negotiation Yes Jumbo Frames 10000 Throughput 71.4 Mpps Packet Buffer Memory...
- £170.14
-
- £170.14
- Unit price
- per
-
TP-Link Omada SG2218P network switch Managed L2/L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U BlackSpecification Detail ARP Inspection Yes Switch Type Managed Web-Based Management Yes System Event Log Yes Quality of Service (QoS) Support Yes Multicast Support Yes MIB Support MIB II (RFC1213), Bridge MIB (RFC1493), P/Q-Bridge MIB (RFC2674), Radius Accounting Client MIB (RFC2620), Radius Authentication Client MIB...
- £165.20
-
- £165.20
- Unit price
- per
-
TP-Link TL-SG1428PE network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U BlackSpecification Detail Switch Type Managed Web-Based Management Yes Quality of Service (QoS) Support Yes Multicast Support Yes Switch Layer L2 SFP Module Slots 2 Basic Switching RJ-45 Ethernet Ports 26 Basic Switching RJ-45 Ethernet Ports Type Gigabit Ethernet (10/100/1000) Gigabit Ethernet (Copper) Ports 26...
- £151.46
-
- £151.46
- Unit price
- per
-
TP-Link Omada ES220GMP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackSpecification Detail Switch Type Managed Web-Based Management Yes Quality of Service (QoS) Support Yes Switch Layer L2 Unified Static Configuration Yes Cloud-Managed Yes SFP Module Slots 2 Basic Switching RJ-45 Ethernet Ports 18 Basic Switching RJ-45 Ethernet Ports Type Gigabit Ethernet (10/100/1000) Gigabit Ethernet...
- £150.80
-
- £150.80
- Unit price
- per
-
TP-Link Omada SL2428P network switch Managed L2 Fast Ethernet (10/100) Power over Ethernet (PoE) 1U BlackSpecification Detail ARP Inspection Yes Switch Type Managed Web-Based Management Yes System Event Log Yes Quality of Service (QoS) Support Yes Multicast Support Yes Switch Layer L2 Configuring Location Settings (CLI) Yes Basic Switching RJ-45 Ethernet Ports 24 Basic Switching RJ-45 Ethernet Ports Type...
- £146.05
-
- £146.05
- Unit price
- per
-
TP-Link TL-SG1218MPE network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U BlackSpecification Detail Switch Type Managed Web-Based Management Yes Quality of Service (QoS) Support Yes Switch Layer L2 Basic Switching RJ-45 Ethernet Ports 18 Basic Switching RJ-45 Ethernet Ports Type Gigabit Ethernet (10/100/1000) Combo SFP Ports 2 Gigabit Ethernet (Copper) Ports 18 Copper Ethernet Cabling...
- £138.94
-
- £138.94
- Unit price
- per
-
TP-Link Omada SG3428 network switch Managed L2/L3 Gigabit Ethernet (10/100/1000) 1U BlackSpecification Detail ARP Inspection Yes Switch Type Managed Web-Based Management Yes System Event Log Yes Quality of Service (QoS) Support Yes Multicast Support Yes MIB Support Yes Switch Layer L2/L3 Configuring Location Settings (CLI) Yes Cloud-Managed Yes SFP Module Slots 4 Basic Switching RJ-45...
- £134.15
-
- £134.15
- Unit price
- per
-
TP-Link TL-SG1218MP network switch Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U BlackSpecification Detail Traffic Classification Yes Switch Type Unmanaged Quality of Service (QoS) Support Yes Basic Switching RJ-45 Ethernet Ports 18 Basic Switching RJ-45 Ethernet Ports Type Gigabit Ethernet (10/100/1000) Installed SFP Modules 0 Installed SFP+ Modules 0 Combo SFP Ports 2 Gigabit Ethernet (Copper)...
- £125.99
-
- £125.99
- Unit price
- per
-
TP-Link Omada SG2016P network switch Managed L2/L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackSpecification Detail ARP Inspection Yes Switch Type Managed Web-Based Management Yes System Event Log Yes Quality of Service (QoS) Support Yes Multicast Support Yes MIB Support RFC1213, RFC1493, RFC2674, RFC2620, RFC2618, RFC2925, RFC1757 Switch Layer L2/L2+ Configuring Location Settings (CLI) Yes Cloud-Managed Yes Basic...
- £124.40
-
- £124.40
- Unit price
- per
-
TP-Link TL-SG116P network switch Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackSpecification Detail Switch Type Unmanaged Quality of Service (QoS) Support Yes Basic Switching RJ-45 Ethernet Ports 16 Basic Switching RJ-45 Ethernet Ports Type Gigabit Ethernet (10/100/1000) Gigabit Ethernet (Copper) Ports 16 Copper Ethernet Cabling Technology 10BASE-T, 100BASE-TX, 1000BASE-T Cable Types Supported Cat3, Cat4, Cat5,...
- £115.76
-
- £115.76
- Unit price
- per
-
TP-Link Omada SG2218 network switch Managed L2/L2+ Gigabit Ethernet (10/100/1000) 1U BlackSpecification Detail ARP Inspection Yes Switch Type Managed Web-Based Management Yes System Event Log Yes Quality of Service (QoS) Support Yes Multicast Support Yes MIB Support Yes Switch Layer L2/L2+ Cloud-Managed Yes SFP Module Slots 2 Basic Switching RJ-45 Ethernet Ports 16 Basic Switching...
- £102.78
-
- £102.78
- Unit price
- per
-
TP-Link TL-SG1016PE network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackSpecification Detail Switch Type Managed Web-Based Management Yes Quality of Service (QoS) Support Yes Switch Layer L2 Basic Switching RJ-45 Ethernet Ports 16 Basic Switching RJ-45 Ethernet Ports Type Gigabit Ethernet (10/100/1000) Installed SFP Modules 0 Installed SFP+ Modules 0 Gigabit Ethernet (Copper) Ports...
- £93.26
-
- £93.26
- Unit price
- per
-
TP-Link Omada SG2210P network switch Managed L2/L2+ Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackSpecification Detail ARP Inspection Yes Switch Type Managed Web-Based Management Yes System Event Log Yes Quality of Service (QoS) Support Yes Multicast Support Yes Switch Layer L2/L2+ Configuring Location Settings (CLI) Yes Cloud-Managed Yes SFP Module Slots 2 Basic Switching RJ-45 Ethernet Ports 8...
- £91.96
-
- £91.96
- Unit price
- per
-
TP-Link Omada IES208G network switch Managed Gigabit Ethernet (10/100/1000)Specification Detail Switch Type Managed Web-Based Management Yes Quality of Service (QoS) Support Yes Cloud-Managed Yes Basic Switching RJ-45 Ethernet Ports 6 Basic Switching RJ-45 Ethernet Ports Type Gigabit Ethernet (10/100/1000) Combo SFP Ports 2 Networking Standards IEEE 802.1D, IEEE 802.1p, IEEE 802.1w, IEEE...
- £90.63
-
- £90.63
- Unit price
- per
-
TP-Link TL-SL1218MP network switch Unmanaged Fast Ethernet (10/100) Power over Ethernet (PoE) BlackSpecification Detail Switch Type Unmanaged Basic Switching RJ-45 Ethernet Ports 16 Basic Switching RJ-45 Ethernet Ports Type Fast Ethernet (10/100) Installed SFP+ Modules 0 Combo SFP Ports 2 Gigabit Ethernet (Copper) Ports 2 Fast Ethernet (Copper) Ports 16 Copper Ethernet Cabling Technology 10BASE-T, 100BASE-TX,...
- £89.34
-
- £89.34
- Unit price
- per
-
TP-Link Omada ES224G network switch Managed L2 Gigabit Ethernet (10/100/1000) BlackSpecification Detail Switch Type Managed Web-Based Management Yes Quality of Service (QoS) Support Yes Multicast Support Yes Switch Layer L2 Unified Static Configuration Yes Cloud-Managed Yes Basic Switching RJ-45 Ethernet Ports 24 Basic Switching RJ-45 Ethernet Ports Type Gigabit Ethernet (10/100/1000) Installed SFP Modules...
- £76.84
-
- £76.84
- Unit price
- per
-
TP-Link Omada ES210GMP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackSpecification Detail Reset Button Yes Switch Type Managed Quality of Service (QoS) Support Yes Cloud-Managed Yes Basic Switching RJ-45 Ethernet Ports 10 Basic Switching RJ-45 Ethernet Ports Type Gigabit Ethernet (10/100/1000) Combo SFP Ports 1 Networking Standards IEEE 802.1Q, IEEE 802.1ab, IEEE 802.1p, IEEE...
- £76.44
-
- £76.44
- Unit price
- per
-
TP-Link Omada SG3210 network switch Managed L2/L3 Gigabit Ethernet (10/100/1000) 1U BlackSpecification Detail ARP Inspection Yes Switch Type Managed Web-Based Management Yes System Event Log Yes Quality of Service (QoS) Support Yes Multicast Support Yes MIB Support Yes Switch Layer L2/L3 Configuring Location Settings (CLI) Yes Cloud-Managed Yes SFP Module Slots 2 Basic Switching RJ-45...
- £75.73
-
- £75.73
- Unit price
- per
